extends Node


#Tracks which member is currently selected
var currentMemberSelected : int = 0

#Tracks which screens are visible
var teamScreenVisible : bool = false
var teamSelectionVisible : bool = false
var bossScreenVisible : bool = false

#This changed for some reason?
var teamScreenPath: String = "/root/@Control@14/UI/AspectRatioContainer"
var teamSelectionPath: String = "/root/@Control@14/UI/TeamSelection"
var bossSelectionPath: String = "/root/@Control@14/UI/BossFights"

#Tracks Damage Engine Numbers
var globalDamage : int = 0
var globalDamagePerClick : int = 1
var globalDamagePerSec : int = 1
var globalDamageMultiplier: int = 1

##Member 1
##Stats
var damagePerSecMember1: int = 0
var damagePerClickMember1: int = 0
var damageMultiplierMember1: int = 1 
##Textures
var texture_member1 : Texture = null
# Function to set texture for member 1
func set_texture1(texture: Texture):
	texture_member1 = texture

# Function to get texture for member 1
func get_texture1() -> Texture:
	return texture_member1

##Member 2
##Stats
var damagePerSecMember2: int = 0
var damagePerClickMember2: int = 0
var damageMultiplierMember2: int = 1 

var texture_member2 : Texture = null
# Function to set texture for member 2
func set_texture2(texture: Texture):
	texture_member2 = texture

# Function to get texture for member 2
func get_texture2() -> Texture:
	return texture_member2

##Member 3
##Stats
var damagePerSecMember3: int = 0
var damagePerClickMember3: int = 0
var damageMultiplierMember3: int = 1 

var texture_member3 : Texture = null
# Function to set texture for member 3
func set_texture3(texture: Texture):
	texture_member3 = texture

# Function to get texture for member 3
func get_texture3() -> Texture:
	return texture_member3

##Member 4
##Stats
var damagePerSecMember4: int = 0
var damagePerClickMember4: int = 0
var damageMultiplierMember4: int = 1 
var texture_member4 : Texture = null
# Function to set texture for member 4
func set_texture4(texture: Texture):
	texture_member4 = texture

# Function to get texture for member 4
func get_texture4() -> Texture:
	return texture_member4

##Member 5
##Stats
var damagePerSecMember5: int = 0
var damagePerClickMember5: int = 0
var damageMultiplierMember5: int = 1 
var texture_member5 : Texture = null
# Function to set texture for member 5
func set_texture5(texture: Texture):
	texture_member5 = texture

# Function to get texture for member 5
func get_texture5() -> Texture:
	return texture_member5


#Functions that add to the global values
# Function to set damage per second
func set_damage_per_second(value: int):
	match Global.currentMemberSelected:
		0:
			damagePerSecMember1 = value
		1:
			damagePerSecMember2 = value
		2:
			damagePerSecMember3 = value
		3:
			damagePerSecMember4 = value
		4:
			damagePerSecMember5 = value

# Function to get damage per second
func get_damage_per_second() -> int:
	return globalDamagePerSec

# Function to set damage per second
func set_damage_multiplier(value: int):
	match Global.currentMemberSelected:
		0:
			damageMultiplierMember1 = value
		1:
			damageMultiplierMember2 = value
		2:
			damageMultiplierMember3 = value
		3:
			damageMultiplierMember4 = value
		4:
			damageMultiplierMember5 = value

# Function to get damage per second
func get_damage_multiplier() -> int:
	return globalDamageMultiplier
	
# Function to set damage per click
func set_damage_per_click(value: int):
	match Global.currentMemberSelected:
		0:
			damagePerClickMember1 = value
		1:
			damagePerClickMember2 = value
		2:
			damagePerClickMember3 = value
		3:
			damagePerClickMember4 = value
		4:
			damagePerClickMember5 = value

# Function to get damage per click
func get_damage_per_click() -> int:
	return globalDamagePerClick




